clear
clc
Fs=8000; %采样频率
Fc=1000; %载波频率
T=0.3; %观察区间
Ns=Fs*T; %信号观察总长度
t=0:1/Fs:(Ns-1)/Fs;
A0=1.2;  %调制偏移电平
x=2*cos(2*pi*50*t)+cos(2*pi*20*t);%原始调制信号 
u1=ammod(x,Fc,Fs,0,A0);%已调AM信号
snr=5;
u1z=awgn(u1,snr);
w1=(Fc-50)*2/Fs;
w2=(Fc+50)*2/Fs;
[b,a]=butter(5,[w1,w2]);
u1zd=filter(b,a,u1z);